Bug 1962036 - sdn-controller is missing some health checks
Summary: sdn-controller is missing some health checks
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: OpenShift Container Platform
Classification: Red Hat
Component: Networking
Version: 4.8
Hardware: Unspecified
OS: Unspecified
medium
medium
Target Milestone: ---
: 4.7.z
Assignee: Federico Paolinelli
QA Contact: zhaozhanqi
URL:
Whiteboard:
Depends On: 1936515
Blocks:
TreeView+ depends on / blocked
 
Reported: 2021-05-19 08:49 UTC by OpenShift BugZilla Robot
Modified: 2021-11-16 08:09 UTC (History)
8 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2021-08-11 06:41:09 UTC
Target Upstream Version:


Attachments (Terms of Use)


Links
System ID Private Priority Status Summary Last Updated
Github openshift cluster-network-operator pull 1098 0 None open [release-4.7] Bug 1962036: Use the election mechanism provided by library-go 2021-05-19 08:49:57 UTC
Red Hat Product Errata RHSA-2021:2977 0 None None None 2021-08-11 06:42:01 UTC

Comment 5 zhaozhanqi 2021-08-03 03:18:45 UTC

Verified this bug on 4.7.0-0.nightly-2021-08-03-004105




  - lastTransitionTime: "2021-08-03T03:10:12Z"
    message: |-
      DaemonSet "openshift-multus/multus" is not available (awaiting 1 nodes)
      DaemonSet "openshift-multus/network-metrics-daemon" is not available (awaiting 1 nodes)
      DaemonSet "openshift-sdn/sdn" is not available (awaiting 1 nodes)
      DaemonSet "openshift-network-diagnostics/network-check-target" is not available (awaiting 1 nodes)

Comment 7 errata-xmlrpc 2021-08-11 06:41:09 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory (Moderate: OpenShift Container Platform 4.7.23 security update), and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHSA-2021:2977


Note You need to log in before you can comment on or make changes to this bug.